networks:
  vpn:
    external: true

services:
  nextcloud_record:
    image: ghcr.io/nextcloud-releases/aio-talk-recording:latest
    container_name: nextcloud_record
    restart: always
    ports:
      - "PORT1:1234"
    environment:
      ALLOW_ALL: "true"
      HPB_DOMAIN: "HPBDOMAINHERE"
      NC_DOMAIN: "NEXTCLOUDDOMAINHERE"
      TZ: "TIMEZONEHERE"
      RECORDING_SECRET: "SECRET1HERE"
      INTERNAL_SECRET: "SECRET2HERE"
    healthcheck:
      disable: false #HEALTHCHECKHERE
    shm_size: 2147483648
    volumes:
      - ./nextcloud-talk-recordings:/var/nextcloud/data
    cap_drop:
      - NET_RAW
    networks:
      vpn:
        ipv4_address: IPADDRESSHERE
volumes:
  nextcloud-talk-recordings: